## ECellDateEdit

ECellDateEdit

## Functions

ECell * | e_cell_date_edit_new ()
void | e_cell_date_edit_freeze ()
void | e_cell_date_edit_thaw ()
void | e_cell_date_edit_set_get_time_callback ()

## Properties

gboolean | allow-no-date-set | Read / Write
gint | lower-hour | Read / Write
gboolean | show-now-button | Read / Write
gboolean | show-time | Read / Write
gboolean | show-today-button | Read / Write
gint | upper-hour | Read / Write
gboolean | use-24-hour-format | Read / Write

## Types and Values

struct | ECellDateEdit

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellPopup
                ╰── ECellDateEdit

## Description

## Functions

### e_cell_date_edit_new ()

    ECell *
    e_cell_date_edit_new (void);

Creates a new ECellDateEdit renderer.

#### Returns

an ECellDateEdit object.

### e_cell_date_edit_freeze ()

    void
    e_cell_date_edit_freeze (ECellDateEdit *ecde);

### e_cell_date_edit_thaw ()

    void
    e_cell_date_edit_thaw (ECellDateEdit *ecde);

### e_cell_date_edit_set_get_time_callback ()

    void
    e_cell_date_edit_set_get_time_callback
                                   (ECellDateEdit *ecde,
                                    ECellDateEditGetTimeCallback cb,
                                    gpointer data,
                                    GDestroyNotify destroy);

## Types and Values

### struct ECellDateEdit

    struct ECellDateEdit;

## Property Details

### The `“allow-no-date-set”` property

      “allow-no-date-set”        gboolean

Flags: Read / Write

Default value: TRUE

### The `“lower-hour”` property

      “lower-hour”               gint

Flags: Read / Write

Default value: 0

### The `“show-now-button”` property

      “show-now-button”          gboolean

Flags: Read / Write

Default value: TRUE

### The `“show-time”` property

      “show-time”                gboolean

Flags: Read / Write

Default value: TRUE

### The `“show-today-button”` property

      “show-today-button”        gboolean

Flags: Read / Write

Default value: TRUE

### The `“upper-hour”` property

      “upper-hour”               gint

Flags: Read / Write

Default value: 24

### The `“use-24-hour-format”` property

      “use-24-hour-format”       gboolean

Flags: Read / Write

Default value: TRUE